Subject: bug#31446: 26.1; sql-interactive-mode buffer naming is broken

From: Phil Sainty <[email-masked]>
Date: Mon, 04 Jun 2018 22:16:03 +1200

On 2018-06-03 11:47, Michael Mauger wrote:
> I have made a commit that fixes the buffer name handling. This code
> was intended for 26.1 but obviously missed that. Please review it
> and let me know what you find.

Buffer naming behaviour seems good to me at first look.

Running sql-postgres (with no prefix argument) when there is an
existing SQLi buffer now displays the buffer but does not select
the window, which seems like a bug?

-Phil

> Outstanding work:

> * There is a bug around locating sql-interactive buffers from a sql
>   buffer; I know how to fix it, just need to further test the code.
> * Rewrite the DOCSTRINGs to reflect the improved logic
> * Add code tests to limit regressions like this in the future
> * Add a Info file documenting sql-mode and the intended behavior.